/* First screen ================ */

:root {
  --section-padding: 100px;

  @media (--laptop-max) {
    --section-padding: 50px;
  }

  @media (--laptop-small-max) {
    --section-padding: 30px;
  }

  @media (--tablet-small-max) {
    --section-padding: 15px;
  }
}

.first-screen {
  padding-top: 135px;
  padding-bottom: 130px;
  position: relative;
  background: url("../images/first-screen.png") no-repeat top left;
  background-size: cover;

  @media screen and (min-width: 1921px) {
    background-size: 1920px;
  }

  @media (--desktop-min) {
    padding: 160px 0 300px;
  }

  @media (--laptop-max) {
    padding-bottom: 150px;
  }

  @media (--laptop-small-max) {
    padding-bottom: 100px;
  }

  @media (--tablet-max) {
    padding: 30px 0;
  }

  @media (--tablet-small-max) {

    &::after {
      content: "";
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      background-color: color-mod(var(--color-white) alpha(70%));
      pointer-events: none;
    }
  }
}

.first-screen__container {
  position: relative;
  z-index: 1;
}

.first-screen__content {
  width: 53%;
  padding-left: 10px;
  text-align: left;

  @media (--tablet-max) {
    width: 60%;
  }

  @media (--tablet-small-max) {
    width: 100%;
    padding-left: 0;
    text-align: center;
  }
}

.first-screen__title {
  margin-top: 0;
  margin-bottom: 28px;
  font-size: 44px;

  @media (--laptop-small-max) {
    margin-bottom: 25px;
  }

  @media (--tablet-small-max) {
    margin-bottom: 20px;
  }
}

.first-screen__text {
  max-width: 500px;
  margin-top: 0;
  margin-bottom: 25px;
  font-size: 22px;

  @media (--laptop-small-max) {
    max-width: 290px;
    font-size: 16px;
  }

  @media (--tablet-small-max) {
    margin-right: auto;
    margin-bottom: 20px;
    margin-left: auto;
  }
}

.first-screen__button {
  margin-top: 20px;
}

.first-screen__social {
  margin-top: 80px;
}
/* ================ end first screen */
